package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.UserOrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "UserOrderDetailVo对象", description = "平台订单表查询视图对象")
public class UserOrderDetailVo extends UserOrderDetail {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("买家id ")
    private Long userId;

    @ApiModelProperty("订单id ")
    private Long orderId;

    @ApiModelProperty(value = "冗余字段，用于传递参数用")
    private Object bizParam;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Object getBizParam() {
        return bizParam;
    }

    public void setBizParam(Object bizParam) {
        this.bizParam = bizParam;
    }
}